sysprof (48.0-2) unstable; urgency=medium

  * Cherry-pick a patch to try to fix the build on hppa & sh4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Mar 2025 09:45:34 -0400

sysprof (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:58:46 -0400

sysprof (48~beta-2) unstable; urgency=medium

  * Cherry-pick patch to fix build on most architectures
    (Closes: #1095448, #1095462)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 15:50:51 -0500

sysprof (48~beta-1) unstable; urgency=medium

  * New upstream release (LP: #2084333). Selected highlights:
    - Add new symbolizer for debuginfod which is enabled by default
    - Many performance improvements for capture loading
    - Support for unwinding without frame-pointers on distributions
      lacking -fno-omit-frame-pointer at the toolchain level. This
      uses a new "sysprof-live-unwinder" elevated helper process
      which takes data from perf and unwinds the stack as soon as
      it can without capturing the perf data to disk.
  * debian/libsysprof-6-6.symbols: Add new symbols
  * Bump minimum libdex
  * Add Build-Depends: libdebuginfod-dev, libdw-dev
  * libsysprof-6-dev.install: Add additional header files
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 17:56:08 -0500

sysprof (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 11:44:56 -0500

sysprof (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 11:06:41 -0500

sysprof (47.0-2) unstable; urgency=medium

  * Build the sysprof app on loong64 & ppc64 also
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:16:56 -0400

sysprof (47.0-1) experimental; urgency=medium

  * New upstream release
  * Don't build the sysprof app on non-release-architectures
    because gtk4 is not currently built there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 15:31:24 -0400

sysprof (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, GTK4, libadwaita, libdex, & libpanel
  * debian/sysprof.docs: DESIGN.md is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 16:13:08 -0400

sysprof (46.0-2) unstable; urgency=medium

  * Add Build-Depends: libsystemd-dev
    needed for "Recording System Logs" feature
  * Suggest mesa-utils on Ubuntu but recommend it on Debian
  * Drop obsolete Lintian override
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Jun 2024 10:31:12 -0400

sysprof (46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libsysporf-6-6.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 15:52:55 -0400

sysprof (46~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Mar 2024 17:57:00 -0400

sysprof (46~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 14:58:57 -0500

sysprof (45.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 07:26:29 -0500

sysprof (45.1-2) unstable; urgency=medium

  [ John David Anglin ]
  * Add patch to fix hppa issue noticed in build tests (Closes: #1021853)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 17:21:44 -0400

sysprof (45.1-1) unstable; urgency=medium

  * New upstream release
  * Extend dh_auto_test timeout (Closes: #1021853)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 13:40:54 -0400

sysprof (45.0-2) unstable; urgency=medium

  * Team upload
  * Install the systemd unit in /usr/lib/systemd/system.
    This was allowed by Technical Committee resolution #1053901. sysprof
    has not usually been backported, so it doesn't seem important to make
    backports trivial for this particular package.
    Build-depend on debhelper (>= 13.11.6~) so that dh_installsystemd finds
    the unit in its new location.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 11:52:19 +0100

sysprof (45.0-1) unstable; urgency=medium

  * New upstream release
  * Fix nogui build profile (Closes: #1051104)
  * Drop unnecessary Build-Depends on cairo; gtk4 already pulls it in
  * Drop unnecessary Build-Depends on systemd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:28:51 -0400

sysprof (45~rc-1) unstable; urgency=medium

  * New upstream release
  * libunwind is now a required build dependency
  * debian/libsysprof-6-dev.install: Install additional header file
  * Don't build sysprof GUI on i386; it's no longer need by mutter i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 21:04:30 -0400

sysprof (45~beta-6) unstable; urgency=medium

  * Fix Build-Depends for i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 09:45:15 -0400

sysprof (45~beta-5) unstable; urgency=medium

  * Fix configure flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:58:42 -0400

sysprof (45~beta-4) unstable; urgency=medium

  * Build sysprof GUI package on Debian's i386 (but not Ubuntu's)
    It ships a D-Bus interface needed by the mutter build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 07:52:01 -0400

sysprof (45~beta-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:44:32 -0400

sysprof (45~beta-2) experimental; urgency=medium

  * Resume building GUI packages on riscv64 since gtk4 is bootstrapped there
  * Stop building sysprof GUI on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 15:25:56 -0400

sysprof (45~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2031972)
  * debian/control.in: Bump minimum GTK4, glib, & libadwaita
  * debian/control.in: Build-Depend on libdex-dev & libpanel-dev
  * Drop obsolete patch
  * Update packaging for soname bump
    - libsysprof-ui is no longer provided
    - libsysprof-capture remains at API 4 (but headers are in 6 directory)
    - The other libraries are bumped to API 6
    - One more library is added to the group library package, libsysprof-tracer

  [ Nathan Pratta Teodosio ]
  * Update libsysprof autopkgtest

  [ Simon McVittie ]
  * Give libsysprof-6-6 its Policy-compliant name.
    Move the LD_PRELOAD modules libsysprof-*-6.so into their own separate
    package, libsysprof-6-modules.
  * d/control.in: Remove unnecessary Breaks/Replaces.
    After the SONAME bump, only libsysprof-capture-4-dev has any files
    that were previously in libsysprof-4-dev or sysprof.
  * Remove unused lintian overrides for libsysprof-4
  * d/sysprof.lintian-overrides: Remove overrides that no longer apply

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 19 Aug 2023 12:38:27 -0400

sysprof (3.48.0-5) unstable; urgency=medium

  * debian/gbp.conf: Branch for trixie
  * Resume building GUI packages on riscv64 since gtk4 is bootstrapped there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 15:18:05 -0400

sysprof (3.48.0-4) unstable; urgency=medium

  * Team upload
  * d/control.in: Version the libunwind-dev dependency.
    This package expects the libunwind-dev from src:libunwind, which
    provides a larger API than the libunwind-*-dev from LLVM: in particular,
    the standalone libunwind has pkg-config metadata but LLVM's libunwind
    does not. LLVM's libunwind Provides libunwind-dev even though it does
    not provide all of the same functionality, causing intermittent FTBFS
    when the non-default apt dependency resolver used by sbuild for
    experimental happens to choose LLVM's libunwind-*-dev to satisfy the
    dependency.
    libunwind-*-dev have Provides on libunwind-dev, but it's an unversioned
    Provides, so we can make sure to get the standalone libunwind by
    specifying a version (an arbitrarily old version will do).
    (Mitigates: #1027451)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 23:54:28 +0100

sysprof (3.48.0-3) experimental; urgency=medium

  * Team upload
  * Split the -dev package between the three libraries.
    This should help to reduce dependency cycles, in particular between
    GTK 4 and sysprof.
  * d/control.in: Don't build sysprof under the pkg.sysprof.nogui profile.
    sysprof is a GUI.
  * d/control.in: Remove version constraints unnecessary since Debian 11
  * d/control.in, d/rules: Disable GUI packages on riscv64 for now.
    gtk4 is not available there yet.
  * d/copyright: Update
  * d/lib*.lintian-overrides: Silence warnings about unusual library naming.
    It is intentional that there is no libsysprof.so symbolic link:
    libsysprof-4.so is both the SONAME, and the name used for linking (in
    the form of -lsysprof-4 in the .pc file).
  * d/libsysprof-4.symbols: Add more Build-Depends-Package for completeness
  * d/sysprof.lintian-overrides: Silence false positives for the systemd units
  * Upload to experimental for NEW processing

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 13:32:05 +0100

sysprof (3.48.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:21:51 -0400

sysprof (3.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:19:08 -0400

sysprof (3.46.0-4) unstable; urgency=medium

  * Add a pkg.sysprof.nogui profile.
    This will hopefully remove the dependency loop between sysprof and gtk(4)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Feb 2023 14:36:35 +0100

sysprof (3.46.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: Build-depend on polkitd instead of transitional policykit-1
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2022 10:16:42 +0100

sysprof (3.46.0-2) unstable; urgency=medium

  * Update autopkgtest for soname bump

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 03:05:03 -0400

sysprof (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.73.0
  * Drop 3 patches that are no longer needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 17:12:26 -0400

sysprof (3.45.1-2) experimental; urgency=medium

  * Cherry-pick patches to fix symbol leakage to other libraries (LP: #1987301)
  * debian/*.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 15:28:10 -0400

sysprof (3.45.1-1) experimental; urgency=medium

  * New upstream release
  * Build with gtk4 & libadwaita. Drop libdazzle dependency
  * Rename libsysprof-ui-4 -> libsysprof-ui-5 to match soname bump
  * debian/control.in: Build-Depend on desktop-file-utils
  * debian/control.in: Bump minimum meson to 0.59.0
  * debian/control.in: Fix Section for "libs" packages, thanks Lintian
  * debian/rules: Update configure flags
  * debian/*.symbols: Add new symbols
  * Refresh patch
  * Add patch to drop unnecessary glib bump to 2.73

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Aug 2022 14:48:39 -0400

sysprof (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:30:36 -0400

sysprof (3.43.90-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 08:32:03 -0500

sysprof (3.42.1-3) unstable; urgency=medium

  * No-change rebuild from source

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 14:16:05 -0500

sysprof (3.42.1-2) unstable; urgency=medium

  * Split libraries and development files to separate packages
    (Closes: #971243)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 31 Jan 2022 13:49:54 -0500

sysprof (3.42.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/sysprof.symbols: Ignore removal of private rax* symbols
  * d/copyright: Update
  * Correct name of with_sysprofd build option (Closes: #998597)
  * d/rules: Explicitly set build options.
    Explicit is better than implicit here.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 16:08:31 +0000

sysprof (3.40.1-3) unstable; urgency=medium

  * debian/tests/control: Depend on libjson-glib-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Aug 2021 16:21:28 -0400

sysprof (3.40.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Aug 2021 19:14:59 -0400

sysprof (3.40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Bump dependency on glib 2.67.4, following upstream
    - Build-depend on libjson-glib-dev (required by libsysprof)
  * debian/sysprof.symbols: Update symbols, removing private ones.
    Some symbols were wrongly exported till version 3.40.1, causing
    customers of this library to export them.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 May 2021 17:19:16 +0200

sysprof (3.38.1-1) unstable; urgency=medium

  * New upstream release
  * Drop pkgconfig patches applied in new release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Oct 2020 07:25:13 -0400

sysprof (3.38.0-2) unstable; urgency=medium

  * Team upload
  * d/tests: Be consistent about what we call libsysprof-capture-4-dev.
    It isn't a separate package yet, so this has no practical effect.
  * d/control, d/tests/control: Add more -dev dependencies.
    As with the other -dev dependencies, these are currently only Suggests,
    because the development headers aren't split off into separate
    packages yet; so the test needs to explicitly depend on them too.
  * Add patches to generate proper pkg-config dependencies.
    This fixes the autopkgtest.
  * Belatedly update symbols file for 3.38.0
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2020 10:29:15 +0100

sysprof (3.38.0-1) unstable; urgency=medium

  * New upstream release:
    - Build system fixes
    - Fix incorrect warnings
    - Add various missing capture APIs for GTK
    - Be more careful about when polkit is queried

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 12:40:19 +0200

sysprof (3.37.90-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * d/gbp.conf: Adjust upstream tag format
  * New upstream release
  * d/control: Update dependency versions
  * d/copyright: Rewrite in machine-readable format and update
  * d/rules: Update flags to enable various components
  * Refresh patch series
    - d/p/tests-use-G_GSIZE_FORMAT-instead-of-G_GUINT64_FORMAT-for-.patch:
      Remove, applied upstream
  * d/tests: Add superficial tests for development libraries.
    These are currently in the sysprof binary package.
  * Add Suggests on packages required for compilation.
    If we had -dev packages, then a Depends would be appropriate, but we
    currently don't.
  * d/control: Generate dependencies as though the libraries had been split.
    The shared libraries (which are used by gnome-builder) are not
    currently in separate binary packages, but if we generate dependencies
    as though they are, it'll make the transition from libsysprof-3 to
    libsysprof-4 go more gracefully.
  * Add Provides as though -dev packages had been split out
    libsysprof-capture is static-only; the others are shared.
  * Add Breaks on gnome-builder (<< 3.37.90)
    That's the first version to use the libsysprof-4 ABI. Ideally the shared
    libraries would be packaged like shared libraries, but that will require
    a trip through NEW, and until that can happen, let's not have a
    known-broken combination.

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Sep 2020 16:07:26 +0100

sysprof (3.36.0-2) unstable; urgency=medium

  * d/p/tests-use-G_GSIZE_FORMAT-instead-of-G_GUINT64_FORMAT-for-.patch:
    Fix FTBFS on 32-bit architectures

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Mar 2020 16:52:18 +0100

sysprof (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/test-Fix-detection-of-pagesize-at-runtime.patch and
      d/p/Fix-endianness-detection-when-writing-a-frame.patch, applied upstream
    - debian/sysprof.docs: Remove the TODO file, gone upstream
  * debian/control.in: Add libunwind-dev to the Build-deps where available
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Make the package Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Mar 2020 10:37:38 +0100

sysprof (3.34.1-2) unstable; urgency=medium

  * debian/patches: Fix FTBFS on multiple architectures (Closes: #840097)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jan 2020 12:49:35 +0100

sysprof (3.34.1-1) unstable; urgency=medium

  * New upstream release
    - Bump the build-dependencies
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/patches/disable_test_dbus_system.patch: Disable a test that
    requires a system bus

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jan 2020 00:32:16 +0100

sysprof (3.32.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 07:46:33 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsysprof-6-modules`.
